//
// Created by sebastian on 29.07.26.
//

#ifndef COLORRACE_ENTITYSYSTEM_H
#define COLORRACE_ENTITYSYSTEM_H
#include "EntityRegistry.h"


class EntitySystem {
public:
    virtual ~EntitySystem() = default;

    virtual void update(engine::EntityRegistry& registry, float deltaTime) = 0;
};


#endif //COLORRACE_ENTITYSYSTEM_H
